## boost1.72 1.72.0

=== debian/changelog ===
boost1.72 (1.72.0-0.2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add conflicts for 1.71 packages in our test repo.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 15 Jul 2020 08:15:40 -0700

boost1.72 (1.72.0-0.2~bionic1) bionic; urgency=medium

  * Package v1.72, save most patches from 1.71
  * Disabled building docs
  * Start with release 0.1 to make future official builds with
    release >= 1 always have more priority than this my temporary package.

 -- Mikhail Novosyolov <mikhailnov@dumalogiya.ru>  Sun, 22 Mar 2020 23:35:13 +0300

boost1.71 (1.71.0-6) unstable; urgency=medium

  * [ef8987f] Fix python autopkgtest. (closes: #950688)
  * [aad42c4] Trim trailing whitespace.
  * [5b9edee] Fix failing autopkgtest graph-parallel

 -- Anton Gladky <gladk@debian.org>  Tue, 04 Feb 2020 22:10:35 +0100

boost1.71 (1.71.0-5) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Cherrypick further patches to document and optimize context on
    s390x. LP: #1859941
  * Simplify debian/rules slightly, by dropping resetting the default
    values.
  * Skip building numpy on Ubuntu:i386.

  [ Giovanni Mascellani ]
  * Expose Python version information in dependencies to Python packages, so
    that removing a supported Python version does not result in silently
    broken reverse dependencies (closes: #948273). Thanks to Andreas Beckmann
    for the patch.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 30 Jan 2020 15:50:23 +0000

boost1.71 (1.71.0-4) unstable; urgency=medium

  [ Giovanni Mascellani ]
  * Transition to the Salsa CI team pipeline.
  * Enable -context on mips64el (closes: #948015).
  * Set graph-parallel test as flaky until
    https://github.com/boostorg/graph_parallel/issues/21 is resolved.
  * Compile test context/demo1.cpp only on amd64, because it uses some
    architecture specific instructions.

  [ Dimitri John Ledkov ]
  * Add chrono to thread autopkgtest until
    https://github.com/boostorg/boost_install/issues/27 is resolved.

 -- Giovanni Mascellani <gio@debian.org>  Fri, 10 Jan 2020 14:26:58 +0100

boost1.71 (1.71.0-3) unstable; urgency=medium

  [ Giovanni Mascellani ]
  * Update autopkgtest dependencies to 1.71.
  * Fix some missing dependencies between -dev packages, found thanks to
    autopkgtest.
  * Remove signals from autopkgtest.
  * Cleanup Debian patches.

  [ Dimitri John Ledkov ]
  * Cherrypick upstream patch to enable context on s390x. LP: #1694926

 -- Giovanni Mascellani <gio@debian.org>  Fri, 03 Jan 2020 11:11:45 +0100

boost1.71 (1.71.0-2) unstable; urgency=medium

  * Enable -context on riscv64 (closes: #947651). Thanks to Aurelien Jarno for
    the patch.
  * Install cmake boost_headers files.

 -- Giovanni Mascellani <gio@debian.org>  Tue, 31 Dec 2019 15:25:01 +0100

boost1.71 (1.71.0-1) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Remove myself from uploaders.
  * Provide and Encode icuabi in libboost-regex shlibdeps. This de-couples
    boost & icu transitions.
  * Fix debian/watch to point at dl.bintray.com
  * Drop py2 builds. (Closes: #936227)
  * Drop Debian-only compat py library symlinks. (Closes: #914513)
  * Ship cmake files, hopefully they are right.
  * Enable documentation index.

  [ Giovanni Mascellani ]
  * Add -contract as dependency of -dev-all.
  * Update to new upstream release 1.71.0.
    + Acknowledge removal of signals library.
    + Tweak build script accordingly.
  * Regenerate bison grammar for jam at build time.
  * Enable LZMA and zstd filters in -iostreams.

 -- Giovanni Mascellani <gio@debian.org>  Thu, 26 Dec 2019 10:26:16 +0100

boost1.67 (1.67.0-13) unstable; urgency=medium

  * [c573257] Fix FTBFS in boost.compute with GCC-8. (Closes: #921247)
  * [086d453] Trim trailing whitespace.
  * [d21d6e3] Use secure URI in Homepage field.
  * [957aa8b] Bump debhelper from old 9 to 10.

 -- Anton Gladky <gladk@debian.org>  Mon, 04 Feb 2019 15:25:45 +0100

boost1.67 (1.67.0-12) unstable; urgency=medium

  * Add patch to fix FTBFS of package bali-phy on ppc64* (closes: #903665).
  * Ignore file .gitlab-ci.yml when creating the source package.
  * Expose supported Python version as virtual packages, so that reverse
    dependencies can depend on the right package (closes: #911625).
  * Work around broken architecture detection under x32.

 -- Giovanni Mascellani <gio@debian.org>  Wed, 23 Jan 2019 12:14:16 +0100

boost1.67 (1.67.0-11) unstable; urgency=medium

  [ Giovanni Mascellani ]
  * Split debian/rules into arch and indep rules, so that arch-independent
    packages are not uselessly built when arch-dependent packages are
    requested and viceversa (closes: #914053).
    + This should also fix some intermittent FTBFS (closes: #913709).
  * Backport patch to fix build on kFreeBSD (closes: #913710).
  * Quit quickly if compilation fails, in order to save on CPU cycles
    and produce easier-to-read build logs.

  [ Dimitri John Ledkov ]
  * Cherrypick predef upstream patch to correctly detect BOOST_OS_LINUX
    using __linux__ define (closes: #914688).

  [ Giovanni Mascellani ]
  * Replace other appearances of __linux with __linux__.

 -- Giovanni Mascellani <gio@debian.org>  Fri, 30 Nov 2018 18:12:49 +0100

boost1.67 (1.67.0-10) unstable; urgency=medium

  [ Giovanni Mascellani ]
  * Rebuild against icu 63.
    + Add shlibs versioning information and breakages so that reverse
      dependencies are rebuilt appropriately.
  * Fail on errors happening inside bash for loops (closes: #912910).

  [ Dimitri John Ledkov ]
  * Add breaks on nheko in unstable.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 13 Nov 2018 12:47:47 +0000

boost1.67 (1.67.0-9) unstable; urgency=medium

  * Drop rtupdate logic for python2, it was never ported to python3 and
    upstream has moved onto co-installable names anyway. Also python2
    default is not going change ever again.
  * Include patch to unbreak mongo testsuite with boost 1.67 program
    options.


