=== debian/control ===
Source: boost1.72
Homepage: https://www.boost.org/
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Boost Team <team+boost@tracker.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>,
           Giovanni Mascellani <gio@debian.org>,
           Anton Gladky <gladk@debian.org>
Build-Depends: bison,
               chrpath,
               dctrl-tools,
               debhelper (>= 10~),
               dh-python,
# Don't need these with docs disabled
#               docbook-to-man,
#               docbook-xml,
#               docbook-xsl,
#               doxygen,
               dpkg-dev (>= 1.16.1~),
               flex,
# Don't need these with docs disabled
#               ghostscript,
               help2man,
               libbz2-dev,
               libicu-dev (>= 63.1),
               liblzma-dev,
               libzstd-dev,
               mpi-default-dev,
               python3,
               python3-all-dev (>= 3.1),
               python3-numpy,
# Don't need these with docs disabled
#               texlive-latex-base,
#               xsltproc,
               zlib1g-dev
Build-Depends-Indep: graphviz
Build-Conflicts: libopenmpi-dev (= 1.3.2-2)
Vcs-Browser: https://gitlab.com/nixtux-packaging/boost1.72
Vcs-Git: https://gitlab.com/nixtux-packaging/boost1.72.git
Standards-Version: 4.1.1

Package: libboost1.72-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libstdc++-dev, ${misc:Depends}, ${shlibs:Depends}
Suggests: libboost-atomic1.72-dev,
          libboost-chrono1.72-dev,
          libboost-container1.72-dev,
          libboost-context1.72-dev [i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
          libboost-contract1.72-dev,
          libboost-coroutine1.72-dev [i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
          libboost-date-time1.72-dev,
          libboost-exception1.72-dev,
          libboost-fiber1.72-dev [i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
          libboost-filesystem1.72-dev,
          libboost-graph-parallel1.72-dev,
          libboost-graph1.72-dev,
          libboost-iostreams1.72-dev,
          libboost-locale1.72-dev,
          libboost-log1.72-dev,
          libboost-math1.72-dev,
          libboost-mpi-python1.72-dev,
          libboost-mpi1.72-dev,
          libboost-numpy1.72-dev,
          libboost-program-options1.72-dev,
          libboost-python1.72-dev,
          libboost-random1.72-dev,
          libboost-regex1.72-dev,
          libboost-serialization1.72-dev,
          libboost-stacktrace1.72-dev,
          libboost-system1.72-dev,
          libboost-test1.72-dev,
          libboost-thread1.72-dev,
          libboost-timer1.72-dev,
          libboost-type-erasure1.72-dev,
          libboost-wave1.72-dev,
          libboost1.72-doc,
          libboost1.72-tools-dev,
          libmpfrc++-dev,
          libntl-dev
Conflicts: bjam,
           boost-build,
           libboost1.42-dev,
           libboost1.46-dev,
           libboost1.48-dev,
           libboost1.49-dev,
           libboost1.50-dev,
           libboost1.52-dev,
           libboost1.53-dev,
           libboost1.54-dev,
           libboost1.55-dev,
           libboost1.57-dev,
           libboost1.58-dev,
           libboost1.60-dev,
           libboost1.61-dev,
           libboost1.62-dev,
           libboost1.63-dev,
           libboost1.65-dev,
           libboost1.67-dev,
           libboost1.70-dev,
           libboost1.71-dev
Description: Boost C++ Libraries development files
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This package provides headers for all Boost libraries.
 .
 Extended precision arithmetic package libmpfrc++-dev or libntl-dev is
 required to use the Boost.Multiprecision wrapping of the respective
 library.

Package: libboost1.72-tools-dev
Architecture: any
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: default-jdk (>= 1.4),
          docbook-xml (>= 4.2),
          docbook-xsl (>= 1.73.2),
          doxygen,
          fop (>= 0.94),
          xsltproc
Conflicts: bjam,
           boost-build,
           libboost1.49-dev,
           libboost1.53-tools-dev,
           libboost1.54-tools-dev,
           libboost1.55-tools-dev,
           libboost1.57-tools-dev,
           libboost1.58-tools-dev,
           libboost1.60-tools-dev,
           libboost1.61-tools-dev,
           libboost1.62-tools-dev,
           libboost1.63-tools-dev,
           libboost1.65-tools-dev,
           libboost1.67-tools-dev,
           libboost1.70-tools-dev,
           libboost1.71-tools-dev
Replaces: bjam,
          boost-build,
          libboost1.49-dev,
          libboost1.53-dev,
          libboost1.53-tools-dev
Description: Boost C++ Libraries development tools
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This package provides the auxiliary tools bjam, Boost.Build, bcp,
 inspect, boostbook and quickbook.

Package: libboost1.72-all-dev
Architecture: any
Section: libdevel
Depends: libboost-atomic1.72-dev,
         libboost-chrono1.72-dev,
         libboost-container1.72-dev,
         libboost-context1.72-dev [i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
         libboost-coroutine1.72-dev [i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
         libboost-date-time1.72-dev,
         libboost-exception1.72-dev,
         libboost-fiber1.72-dev [i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
         libboost-filesystem1.72-dev,
         libboost-graph-parallel1.72-dev,
         libboost-graph1.72-dev,
         libboost-iostreams1.72-dev,
         libboost-locale1.72-dev,
         libboost-log1.72-dev,
         libboost-math1.72-dev,
         libboost-mpi-python1.72-dev,
         libboost-mpi1.72-dev,
         libboost-numpy1.72-dev,
         libboost-program-options1.72-dev,
         libboost-python1.72-dev,
         libboost-random1.72-dev,
         libboost-regex1.72-dev,
         libboost-serialization1.72-dev,
         libboost-stacktrace1.72-dev,
         libboost-system1.72-dev,
         libboost-test1.72-dev,
         libboost-thread1.72-dev,
         libboost-timer1.72-dev,
         libboost-type-erasure1.72-dev,
         libboost-wave1.72-dev,
         libboost1.72-dev,
         libboost1.72-tools-dev,
         ${misc:Depends}
Description: Boost C++ Libraries development files (ALL)
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This metapackage provides the complete Boost development environment,
 including all separately-packaged libraries.

# Package: libboost1.72-doc
# Homepage: http://www.boost.org/libs/
# Architecture: all
# Section: doc
# Depends: libjs-mathjax, ${misc:Depends}
# Suggests: libboost1.72-dev (>= ${source:Version})
# Conflicts: libboost1.42-doc,
#           libboost1.46-doc,
#           libboost1.48-doc,
#           libboost1.49-doc,
#           libboost1.50-doc,
#           libboost1.52-doc,
#           libboost1.53-doc,
#           libboost1.54-doc,
#           libboost1.55-doc,
#           libboost1.57-doc,
#           libboost1.58-doc,
#           libboost1.60-doc,
#           libboost1.61-doc,
#           libboost1.62-doc,
#           libboost1.63-doc,
#           libboost1.65-doc,
#           libboost1.67-doc,
#           libboost1.70-doc
# Description: Boost.org libraries documentation placeholder
# This package originally provided documentation, but has since fallen
# into disrepair and presently provides no documentation.  Please
# use documentation at www.boost.org.

Package: libboost-atomic1.72.0
Homepage: http://www.boost.org/libs/atomic/
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: atomic data types, operations, and memory ordering constraints
 This package forms part of the Boost C++ Libraries collection.
 .
 Boost.Atomic is a library that provides atomic data types and
 operations on these data types, as well as memory ordering
 constraints required for coordinating multiple threads through atomic
 variables. It implements the interface as defined by the C++11
 standard, but makes this feature available for platforms lacking
 system/compiler support for this particular C++11 feature.
 .
 Users of this library should already be familiar with concurrency in
 general, as well as elementary concepts such as "mutual exclusion".
 .
 The implementation makes use of processor-specific instructions where
 possible (via inline assembler, platform libraries or compiler
 intrinsics), and falls back to "emulating" atomic operations through
 locking.

Package: libboost-atomic1.72-dev
Homepage: http://www.boost.org/libs/atomic/
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libboost-atomic1.72.0 (= ${binary:Version}),
         libboost1.72-dev (= ${binary:Version}),
         ${misc:Depends}
Description: atomic data types, operations, and memory ordering constraints
 This package forms part of the Boost C++ Libraries collection.
 .
 Boost.Atomic is a library that provides atomic data types and
 operations on these data types, as well as memory ordering
 constraints required for coordinating multiple threads through atomic
 variables. It implements the interface as defined by the C++11
 standard, but makes this feature available for platforms lacking
 system/compiler support for this particular C++11 feature.
 .
 Users of this library should already be familiar with concurrency in
 general, as well as elementary concepts such as "mutual exclusion".
 .
 The implementation makes use of processor-specific instructions where
 possible (via inline assembler, platform libraries or compiler
 intrinsics), and falls back to "emulating" atomic operations through
 locking.
Conflicts: libboost-atomic1.53-dev,
           libboost-atomic1.54-dev,
           libboost-atomic1.55-dev,
           libboost-atomic1.57-dev,
           libboost-atomic1.58-dev,
           libboost-atomic1.60-dev,
           libboost-atomic1.61-dev,
           libboost-atomic1.62-dev,
           libboost-atomic1.63-dev,
           libboost-atomic1.65-dev,
           libboost-atomic1.67-dev,
           libboost-atomic1.70-dev,
           libboost-atomic1.71-dev

Package: libboost-chrono1.72.0
Homepage: http://www.boost.org/libs/chrono/
Architecture: any
Multi-Arch: same
