=== debian/tests/control ===
Tests: atomic
Depends: build-essential, cmake, libboost-atomic1.71-dev

Tests: chrono
Depends: build-essential,
         cmake,
         libboost-chrono1.71-dev,
         libboost-system1.71-dev

Tests: context
Depends: build-essential, cmake, libboost-context1.71-dev

Tests: container
Depends: build-essential,
         cmake,
         libboost-container1.71-dev,
         libboost-system1.71-dev

Tests: coroutine
Depends: build-essential,
         cmake,
         libboost-coroutine1.71-dev,
         libboost-system1.71-dev

Tests: datetime
Depends: build-essential, cmake, libboost-date-time1.71-dev

Tests: exception
Depends: build-essential, cmake, libboost-exception1.71-dev
Restrictions: allow-stderr

Tests: fiber
Depends: build-essential, cmake, libboost-fiber1.71-dev

Tests: filesystem
Depends: build-essential, cmake, libboost-filesystem1.71-dev

Tests: graph
Depends: build-essential, cmake, libboost-graph1.71-dev

Tests: graph-parallel
Depends: build-essential,
         cmake,
         libboost-graph-parallel1.71-dev,
         libboost-mpi1.71-dev,
         libboost-system1.71-dev,
         libgraph-easy-perl,
         mpi-default-dev
Restrictions: allow-stderr

Tests: iostreams
Depends: build-essential, cmake, libboost-iostreams1.71-dev

Tests: locale
Depends: build-essential, cmake, libboost-locale1.71-dev

Tests: log
Depends: build-essential, cmake, libboost-log1.71-dev

Tests: math
Depends: build-essential, cmake, libboost-math1.71-dev

Tests: mpi
Depends: build-essential, cmake, libboost-mpi1.71-dev, mpi-default-dev
Restrictions: allow-stderr

Tests: mpi-python
Depends: libboost-mpi-python1.71-dev, mpi-default-dev, python3-minimal
Restrictions: allow-stderr

Tests: program-options
Depends: build-essential, cmake, libboost-program-options1.71-dev

Tests: python
Depends: build-essential,
         clang,
         cmake,
         libboost-python1.71-dev,
         python3-minimal

Tests: random
Depends: build-essential, cmake, libboost-random1.71-dev

Tests: regex
Depends: build-essential, cmake, html2text, libboost-regex1.71-dev

Tests: serialization
Depends: build-essential,
         cmake,
         libboost-random1.71-dev,
         libboost-serialization1.71-dev

Tests: stacktrace
Depends: build-essential,
         cmake,
         libboost-stacktrace1.71-dev,
         libboost-system1.71-dev

Tests: system
Depends: build-essential, cmake, libboost-system1.71-dev
Restrictions: allow-stderr

Tests: test
Depends: build-essential, cmake, libboost-test1.71-dev
Restrictions: allow-stderr

Tests: thread
Depends: build-essential, cmake, libboost-thread1.71-dev

Tests: timer
Depends: build-essential, cmake, libboost-timer1.71-dev

Tests: type-erasure
Depends: build-essential, cmake, libboost-type-erasure1.71-dev

Tests: wave
Depends: build-essential, cmake, libboost-thread1.71-dev, libboost-wave1.71-dev
